import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceNationalInfoSlaughterhouseGetDashboardService =
  createAsyncThunk(
    "PROVINCE-NATIONAL-INFO-SLAUGHTER-HOUSE-SERVICE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "https://rsibackend.rasadyar.com/app/dashboard_total_kill_house",
        {
          params: {
            date1: d.date1,
            date2: d.date2,
            search: d.search,
            province: d.province,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    }
  );
